<?php
/*
Plugin Name: PersianHalfSpaceForGoogleResolver
Description: نمایش فاصله به‌جای نیم‌فاصله برای گوگل برای خراب‌نشدن نوشته در نتایج جست‌وجوی گوگل
Plugin URI: http://2barnamenevis.com
Version: 1.0.0
Author: ahmadali shafiee
Author URI: http://2barnamenevis.com
*/
function HalfSpace_filter($content)
{
	if(CheckUserAgent())
	{
		$content=str_replace("‌","&zwnj;",$content);
  }
	return $content;
}

function CheckUserAgent()
{
	$u_agent = $_SERVER['HTTP_USER_AGENT'];
	if((strlen(strstr($u_agent,"Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)")))
	|| (strlen(strstr($u_agent,"Googlebot/2.1 (+http://www.googlebot.com/bot.html)")))
	|| (strlen(strstr($u_agent,"Googlebot/2.1 (+http://www.google.com/bot.html)")))
	|| (strlen(strstr($u_agent,"Googlebot-News")))
	|| (strlen(strstr($u_agent,"Googlebot-Image/1.0")))
	|| (strlen(strstr($u_agent,"Googlebot-Video/1.0")))
	|| (strlen(strstr($u_agent,"(compatible; Googlebot-Mobile/2.1; +http://www.google.com/bot.html)")))
	|| (strlen(strstr($u_agent,"Mozilla/5.0 (iPhone; U; CPU iPhone OS 4_1 like Mac OS X; en-us) AppleWebKit/532.9 (KHTML, like Gecko) Version/4.0.5 Mobile/8B117 Safari/6531.22.7 (compatible; Googlebot-Mobile/2.1; +http://www.google.com/bot.html)")))
	|| (strlen(strstr($u_agent,"(compatible; Mediapartners-Google/2.1; +http://www.google.com/bot.html)")))
	|| (strlen(strstr($u_agent,"Mediapartners-Google")))
	|| (strlen(strstr($u_agent,"(+http://www.google.com/adsbot.html)")))
	)
	{
		return true;
	}
	return false;	
}

	add_filter('the_title','HalfSpace_filter',1,1);
	add_filter('the_content','HalfSpace_filter',1,1);
	add_filter('comment_text','HalfSpace_filter',1,1);
	add_filter('single_post_title','HalfSpace_filter',1,1);
	add_filter('wp_title','HalfSpace_filter',1,1);
	add_filter('category_description','HalfSpace_filter',1,1);
	add_filter('bloginfo','HalfSpace_filter',1,1);
	add_filter('option_blogname','HalfSpace_filter',1,1);
?>